Subject: Re: Cygwin32 Newbie (NBY)
From: [email-masked] (Earnie Boyd)

6 Feb 1998 09:49:20 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Hi Nigel,

Check out the URL pointers I have listed below my signature.

Remember that this is beta software, and that the Cygnus approach is to 
emulate enough of Unix to allow for porting of Unix software to Win32 
without having to re-program.

Others have taken the Cygnus work and removed the Unix layer.  This 
version run faster as it doesn't emulate the Unix environment.  However, 
no BASH as yet :(.

For text modes, this is user settable, check the mail archives for lots 
of discussion on text=binary vs text!=binary.

>Date: Fri, 06 Feb 1998 01:05:08 +1100
>To: [email-masked]
>From: Nigel Stewart <[email-masked]>
>Subject: Cygwin32 Newbie
>
>
>I'm writing this to say g'day, and pose some newbie type questions.
>If you've got better things to do than answers these, please ignore.. 
;)
>
>I downloaded cdk.exe yesterday, and been doing some fiddling...
>
>1.	I get the impression that gcc is slower than the djgpp
>	binary.  Also, bash can be somewhat unresponsive and
>	sometimes when I type I get funny characters, as if a 
>	buffer is overflowing somewhere.  Are these issues related
>	to cygwin32, my slow 486 machine, win95, or something else?
>
>2.	Is there somewhere I could get binaries for X11 by ftp?
>	I have the feeling that it would take a very long time to
>	compile on my box.
>
>3.	Is it possible to cross-compile between djgpp, cygwin32 and/or
>	Linux, in theory or practice?
>
>4.	Does someone have a joe binary handy?  ( I love unix, but not vi! ;)
>
>5.	What is the proposed text/binary behavior for cygwin32?
>	I expected unix "binary as default", but found the opposite for
>	fopen, open, setmode, etc...   
>
>Thanks in advance...
>
>Nigel Stewart
>
>
>-- 
>Nigel Stewart, RMIT University, Melbourne, Australia
>Email: [email-masked] (Ask me for PGP key.)
>
>      
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

Check out these great gnu-win32 related sites:
ftp://ftp.cygnus.com/pub/gnu-win32/latest/           (ftp site)
http://www.cygnus.com/pubs/gnupro/                   (Comercial Page)
http://www.cygnus.com/misc/gnu-win32/                (Project Page)
http://www.cygnus.com/ml/gnu-win32                   (Mail Archives)
http://www.itribe.net/virtunix/winhelp-man-pages/    (HTML Man Pages)
http://www.lexa.ru/sos                               (Sergey Okhapkin)
ftp://www.lexa.ru/pub/domestic/sos/                (Sergey's ftp site)
http://www.fu.is.saga-u.ac.jp/~colin/gcc.html        (Colin Peters)
http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ (Mumit Khan)
http://gnu-win32.paranoia.ru                   (Chuck Bogorad's ports)
ftp://ftp.deninc.com/pub (Den Internet Services - US mirror and ports)
http://www.bestweb.net/~aka/gnu-win32/  (GNU-Win32 Bash Configuration)
http://rcw.home.ml.org/                  (Rob Warner - software ports)

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".